// TimeDialog.cpp : implementation file
//
/********************************************************************
*
*                    Copyright (c) 1998 Intel Corporation
*    
*    THIS SOURCE CODE IS PROVIDED "AS IS" WITH NO WARRANTIES WHATSOEVER, 
*    INCLUDING ANY WARRANTY OF MERCHANTABILITY, NONINFRINGEMENT, FITNESS FOR ANY 
*    PARTICULAR PURPOSE, OR ANY WARRANTY OTHERWISE ARISING OUT OF ANY PROPOSAL, 
*    SPECIFICATION OR SAMPLE. Intel disclaims all liability, including liability 
*    for infringement of any proprietary rights, relating to use of information 
*    in this specification. No license, express or implied, by estoppel or 
*    otherwise, to any intellectual property rights is granted herein, other 
*    than a royalty-free copyright license to use, copy, modify, distribute, and 
*    otherwise dispose of this source code and resulting object code in any 
*    format, for execution on Intel Architecture processors.
*
*    Microprocessors may contain design defects or errors known as errata which
*    may cause the product to deviate from published specifications. Current 
*    characterized errata for Intel microprocessors are available on request.
*
*********************************************************************/
#include "stdafx.h"
#include "TimeDCT.h"
#include "TimeDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// TimeDialog dialog


TimeDialog::TimeDialog(CWnd* pParent /*=NULL*/)
	: CDialog(TimeDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(TimeDialog)
	m_asmtime = _T("");
	m_ctime = _T("");
	m_intrintime = _T("");
	m_ivectime = _T("");
	m_asmpct = 0.0;
	m_cpct = 0.0;
	m_intrinpct = 0.0;
	m_ivecpct = 0.0;
	//}}AFX_DATA_INIT
}


void TimeDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(TimeDialog)
	DDX_Text(pDX, IDC_ASM_TIME, m_asmtime);
	DDV_MaxChars(pDX, m_asmtime, 12);
	DDX_Text(pDX, IDC_C_TIME, m_ctime);
	DDV_MaxChars(pDX, m_ctime, 12);
	DDX_Text(pDX, IDC_INTRIN_TIME, m_intrintime);
	DDV_MaxChars(pDX, m_intrintime, 12);
	DDX_Text(pDX, IDC_IVEC_TIME, m_ivectime);
	DDV_MaxChars(pDX, m_ivectime, 12);
	DDX_Text(pDX, IDC_ASM_PCT, m_asmpct);
	DDX_Text(pDX, IDC_C_PCT, m_cpct);
	DDX_Text(pDX, IDC_INTRIN_PCT, m_intrinpct);
	DDX_Text(pDX, IDC_IVEC_PCT, m_ivecpct);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(TimeDialog, CDialog)
	//{{AFX_MSG_MAP(TimeDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


BOOL TimeDialog::Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext) 
{
	// TODO: Add your specialized code here and/or call the base class
	
	return CDialog::Create(IDD, pParentWnd);
}

BOOL TimeDialog::DestroyWindow() 
{
	// TODO: Add your specialized code here and/or call the base class
	
	return CDialog::DestroyWindow();
}
