/* Timing.cpp *********************************************************************
*
*                    Copyright (c) 1998 Intel Corporation
*    
*    THIS SOURCE CODE IS PROVIDED "AS IS" WITH NO WARRANTIES WHATSOEVER, 
*    INCLUDING ANY WARRANTY OF MERCHANTABILITY, NONINFRINGEMENT, FITNESS FOR ANY 
*    PARTICULAR PURPOSE, OR ANY WARRANTY OTHERWISE ARISING OUT OF ANY PROPOSAL, 
*    SPECIFICATION OR SAMPLE. Intel disclaims all liability, including liability 
*    for infringement of any proprietary rights, relating to use of information 
*    in this specification. No license, express or implied, by estoppel or 
*    otherwise, to any intellectual property rights is granted herein, other 
*    than a royalty-free copyright license to use, copy, modify, distribute, and 
*    otherwise dispose of this source code and resulting object code in any 
*    format, for execution on Intel Architecture processors.
*
*    Microprocessors may contain design defects or errors known as errata which
*    may cause the product to deviate from published specifications. Current 
*    characterized errata for Intel microprocessors are available on request.
*
***********************************************************************************/	

//global timing variables.

unsigned int timel,timeh,etimel,etimeh;
unsigned int num_times;

//global timing functions
void cleartimer()
{
	etimel = 0;
	etimeh = 0;
	num_times = 0;

}

void starttimer()
{
	__asm{

		_emit 0x0F
		_emit 0x31
		mov [timel],eax
		mov [timeh],edx
	}
}
__int64 stoptimer()
{
	_int64 tempval;
	__asm
	{
		_emit 0x0F
		_emit 0x31
		sub eax,[timel]
		sbb edx,[timeh]
		add [etimel],eax
		adc [etimeh],edx
		inc [num_times]
		mov dword ptr [tempval],eax
		mov dword ptr [tempval+4],edx
	}	

	return tempval;
}
